Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.pipeline.controller
Class Input

`java.lang.Object
oracle.xml.pipeline.controller.PipeDocElement
oracle.xml.pipeline.controller.Input`

All Implemented Interfaces:
  PipelineConstants

      public class Input

extends PipeDocElement

This class represents an input object of a pipeline process.

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Method Summary
`boolean` `isXMLType(int type)` Checks whether this Input object supports the following types of XML as input.
`void` `supportType(int type)` Set the types of input to support for this Input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### supportType

    public void supportType(int type)

  Set the types of input to support for this Input.
  Parameters:
    `type` - constants allowed are DOMSOURCE, SAXSOURCE, STREAMSOURCE, COMPSTREAMSOURCE, DOCUMENT, DOCFRAG, ELEMENT

### isXMLType

    public boolean isXMLType(int type)

  Checks whether this Input object supports the following types of XML as input.
  Parameters:
    `type` - constants allowed are DOMSOURCE, SAXSOURCE, STREAMSOURCE, COMPSTREAMSOURCE, DOCUMENT, DOCFRAG, ELEMENT

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.